# Status Codes

If Aviator runs in to any issues or failures, we will surface a status code or its corresponding description. Please refer to the table below.

| Status                        | Code | Description                                                                                                                                                                                                                                                                                                                                            |
| ----------------------------- | ---- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| NOT\_APPROVED                 | 101  | PR does not have the required number of approvals.                                                                                                                                                                                                                                                                                                     |
| READY\_LABEL\_REMOVED         | 104  | Someone has removed the trigger label to dequeue the PR.                                                                                                                                                                                                                                                                                               |
| BLOCKED\_BY\_LABEL            | 105  | Someone has manually added the failure label to block the PR.                                                                                                                                                                                                                                                                                          |
| MERGE\_CONFLICT               | 106  | There is a merge conflict.                                                                                                                                                                                                                                                                                                                             |
| FAILED\_TESTS                 | 107  | One of more of the required CI status checks failed.                                                                                                                                                                                                                                                                                                   |
| MISSING\_OWNER\_REVIEW        | 109  | The PR does not have required reviews from the codeowners.                                                                                                                                                                                                                                                                                             |
| CI\_TIMEDOUT                  | 111  | This is only reported if a CI timeout is specified in the merge rules. The PR's required CI status check did not complete in the specified time and will be dequeued.                                                                                                                                                                                  |
| STUCK\_TIMEDOUT               | 112  | The CI has already timed out, and the PR is still in a stuck state.                                                                                                                                                                                                                                                                                    |
| UNRESOLVED\_CONVERSATIONS     | 113  | The PR still has unresolved conversations. This is only applicable if `conversation_resolution_required=true` in merge rules.                                                                                                                                                                                                                          |
| DRAFT\_PRS\_UNSUPPORTED       | 114  | Draft PRs are only supported with a GitHub Team plan, GitHub Enterprise, or GitHub Enterprise Cloud. See the [<mark style="color:blue;">GitHub Docs</mark>](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/about-pull-requests#draft-pull-requests) for more information. |
| UNVERIFIED\_COMMITS           | 115  | Not all commits in the PR have been signed/verified. This is applicable if your merge rules configuration requires verified commits.                                                                                                                                                                                                                   |
| COMMIT\_ADDED                 | 116  | The PR is now stale because a new commit has been added since the CI has been run.                                                                                                                                                                                                                                                                     |
| CHANGES\_REQUESTED            | 117  | There are changes requested on the PR.                                                                                                                                                                                                                                                                                                                 |
| UNSUPPORTED\_BASE\_BRANCH     | 118  | We do not support merging into the specified base branch.                                                                                                                                                                                                                                                                                              |
| BLOCKED\_BY\_GITHUB           | 110  | Blocked due to internal GitHub reasons.                                                                                                                                                                                                                                                                                                                |
| FAILED\_UNKNOWN               | 108  | Failed due to an internal error.                                                                                                                                                                                                                                                                                                                       |
| MANUAL\_RESET                 | 300  | Reset triggered manually.                                                                                                                                                                                                                                                                                                                              |
| RESET\_BY\_FAILURE            | 301  | A reset was triggered due to failure of CI                                                                                                                                                                                                                                                                                                             |
| RESET\_BY\_SKIP               | 302  | A reset was triggered due to a new skip line PR                                                                                                                                                                                                                                                                                                        |
| RESET\_BY\_DEQUEUE            | 303  | A reset was triggered due to a PR being manually dequeued                                                                                                                                                                                                                                                                                              |
| RESET\_BY\_MANUALLY\_CLOSED   | 304  | A reset was triggered because a PR was manually closed                                                                                                                                                                                                                                                                                                 |
| RESET\_BY\_FF\_FAILURE        | 305  | A reset was triggered because Aviator failed to fast forward                                                                                                                                                                                                                                                                                           |
| RESET\_BY\_CONFIG\_CHANGE     | 307  | A reset was triggered due to config change                                                                                                                                                                                                                                                                                                             |
| RESET\_BY\_TIMEOUT            | 308  | A reset was triggered due to timeout                                                                                                                                                                                                                                                                                                                   |
| RESET\_BY\_INVALID\_PR\_STATE | 309  | A reset was triggered since the queued PR is no longer ready to merge                                                                                                                                                                                                                                                                                  |
| RESET\_BY\_COMMIT\_ADDED      | 310  | A reset wsa triggered by addition of a new commit in a queued PR                                                                                                                                                                                                                                                                                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviator.co/mergequeue/reference/status-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
